FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Portage Developer

 
 
LinkBack Thread Tools
 
Old 10-09-2011, 06:53 PM
Mike Frysinger
 
Default runtests: make sure we are in the right dir

The code assumes we're in the top of the tree (when it tries to run with
the full path "pym/portage/tests/runTests"), so try to make sure we are
in the right place to allow things like `../runtests.sh` to "just work".

Signed-off-by: Mike Frysinger <vapier@gentoo.org>
---
runtests.sh | 3 +++
1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/runtests.sh b/runtests.sh
index 981fa1e..d55860a 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -4,6 +4,9 @@

PYTHON_VERSIONS="2.6 2.7 3.1 3.2 3.3"

+# has to be run from portage root dir
+cd "${0%/*}" || exit 1
+
case "${NOCOLOR:-false}" in
yes|true)
GOOD=
--
1.7.6.1
 

Thread Tools




All times are GMT. The time now is 07:28 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org